package de.fhkoeln.cvogt.android.propertyanimationandroid;

// Programmierung verteilter und mobiler Anwendungen
// (Programming Distributed and Mobile Applications)
// Cologne University of Applied Sciences
// Institute of Communications Engineering
// 25.2.2015

// This activity demonstrates how to specify an animation through XML code (see res/animator/multiple_properties_animation.xml)

import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;


public class XMLDefinedAnimationActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.xml_defined_animation);

    }

    public void startAnimation(View v) {

        // get the animation specification from an XML file
        AnimatorSet set = (AnimatorSet) AnimatorInflater.loadAnimator(this,R.animator.multiple_properties_animation);
        // specify the object to be animated
        TextView animatedView = (TextView) findViewById(R.id.viewMultiAnim);
        set.setTarget(animatedView);
        // start the animation
        set.start();

    }

    public void reset(View v) {

        setContentView(R.layout.xml_defined_animation);

    }


}
